//
//  SMKishocho.h
//  KishochoApp
//
//  Created by Cyan K on 05/11/24.
//  cyanworks.net
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>
#import "SMKishochoParser.h"

@interface SMKishocho : NSObject {
	NSMutableArray		*weatherData;
	int					httpStatus;
	int					downloadMode;
    WebView				*webView;
}

#pragma mark Implementation
- (void)makeWebView;
- (void)loadWeather:(NSString *)area withMode:(unsigned int)mode
			baseURI:(NSURL *)uri ifModSince:(NSString *)ims;
- (void)loadWebPage:(NSURL *)uri ifModSince:(NSString *)ims;
- (void)stopLoading;
- (void)readDocument:(WebFrame *)frame;

#pragma mark Notification
- (void)notifyDownloadFinished;
- (void)notifyConnectionError;
- (void)notifyParseError;

#pragma mark Accessor methods
- (int)httpStatus;
- (void)setHttpStatus:(int)newHttpStatus;
- (int)downloadMode;
- (void)setDownloadMode:(int)newDownloadMode;
- (NSArray *)weatherData;

@end
